<?php
/**
 * Plugins Main File
 * 
 * PHP version 5.6.23 | 7.2.19
 * 
 * @category  PLugins
 * @package   Wordpress
 * @author    Pejman Kheyri <pejmankheyri@gmail.com>
 * @copyright 2019 The Ide Pardazan (ipe.ir) PHP Group. All rights reserved.
 * @license   https://sms.ir/ ipe license
 * @version   IPE: 3.1
 * @link      https://sms.ir/ Documentation of sms.ir Woocommerce Plugin.
 */

/*
Plugin Name: افزونه ارسال پیامک ووکامرس
Version: 3.1
Plugin URI: https://www.sms.ir/
Description: افزونه ارسال پیامک در سیستم ووکامرس برای وردپرس
Author: Ipe Developers - pejmankheyri@gmail.com
Author EMAIL: pejmankheyri@gmail.com
Author URI: https://ipe.ir/
Contributors: sms.ir
*/

if (!defined('ABSPATH')) { 
    header('Location: http://sms.ir');exit; 
}

if (!defined('PS_WOO_SMS_VERSION'))
    define('PS_WOO_SMS_VERSION', '3.1');

if (!defined('PS_WOO_SMS_PLUGIN_PATH'))
    define('PS_WOO_SMS_PLUGIN_PATH', plugins_url('', __FILE__));

if (!defined('PS_WOO_SMS_PLUGIN_LIB_PATH'))
    define('PS_WOO_SMS_PLUGIN_LIB_PATH', dirname(__FILE__). '/includes');

/**
 * Uninstall Function
 *
 * @return void
 */
function woocommerceIRSMSProUninstall()
{
    update_option('redirect_to_woo_sms_about_page', 'no');
    update_option('redirect_to_woo_sms_about_page_check', 'no');
}
register_activation_hook(__FILE__, 'woocommerceIRSMSProUninstall');
register_deactivation_hook(__FILE__, 'woocommerceIRSMSProUninstall');

/**
 * Adding File Resources
 *
 * @return void
 */
function woocommerceIRSMSIr()
{
    global $persianwoosms;
    include_once PS_WOO_SMS_PLUGIN_LIB_PATH. '/requirement.php';
    include_once PS_WOO_SMS_PLUGIN_LIB_PATH. '/class.settings.php';
    include_once PS_WOO_SMS_PLUGIN_LIB_PATH. '/class.gateways.php';
    include_once PS_WOO_SMS_PLUGIN_LIB_PATH. '/class.bulk.send.php';
    $persianwoosms = WoocommerceIR_Settings_SMS::init();
}

add_action('plugins_loaded', 'woocommerceIRSMSIr');